For the complete documentation index, see llms.txt.
Starshipit API
Tracking Only Orders
Register externally generated tracking against Starshipit orders. Search still covers every Starshipit endpoint, so you can move between API groups without returning to an index page.
58 endpoints shown
Orders
Create, search, update, tag, archive, restore, and list orders before shipping.
18 endpoints shown
List Orders (Unshipped)Responses
Endpoint URL
https://api.starshipit.com/api/orders/unshipped
Endpoint details
Get a list of all unshipped orders (default: orders updated in the last 24 hours)
Request Parameters
List Orders (Unshipped) Response
Response examples
List Orders (Unshipped) (200)
{
"orders": [
{
"order_id": 440482182,
"order_date": "2024-06-16T23:41:13",
"order_number": "#1148-1",
"reference": "#1148",
"carrier": "DHL",
"carrier_name": "DHL Express",
"carrier_service_code": "WPX",
"signature_required": false,
"dangerous_goods": false,
"currency": "NZD",
"sender_details": {
"name": "Frank's Flowers",
"email": "frank@flowers.com",
"phone": "0215671234",
"building": "Building A",
"company": "Frank's Flowers",
"street": "10 Rose Street",
"suburb": "redfern",
"city": "redfern",
"state": "NSW",
"post_code": "2016",
"country": "Australia",
"tax_numbers": []
},
"destination": {
"name": "John Smith",
"email": "john@smith.com",
"phone": "0225671289",
"building": "1A",
"company": "John Smith Tools",
"street": "10 Federal Street",
"city": "Auckland",
"state": "Auckland",
"post_code": "1010",
"country": "New Zealand",
"delivery_instructions": "",
"tax_numbers": []
},
"items": [
{
"item_id": 1286216642,
"description": "Rose",
"sku": "",
"country_of_origin": "AU",
"quantity": 1,
"quantity_to_ship": 1,
"weight": 0.88,
"height": 0,
"width": 0,
"length": 0,
"value": 0,
"stock_on_hand": 0
}
],
"packages": [
{
"package_id": 553567691,
"weight": 1,
"height": 0.1,
"width": 0.1,
"length": 0.1,
"packaging_type": ""
}
],
"metadatas": [
{
"metafield_key": "ADDRESSVALIDATED",
"value": "True",
"required": false
},
{
"metafield_key": "SOURCE",
"value": "Shopify",
"required": false
},
{
"metafield_key": "DTP",
"value": "False",
"required": false
},
{
"metafield_key": "INSURANCE",
"value": "False",
"required": false
},
{
"metafield_key": "INSURANCEVALUE",
"value": "0.00",
"required": false
},
{
"metafield_key": "GREENSERVICE",
"value": "False",
"required": false
},
{
"metafield_key": "ADULT_SIGNATURE",
"value": "False",
"required": false
},
{
"metafield_key": "ATL",
"value": "False",
"required": false
},
{
"metafield_key": "BATTERY",
"value": "False",
"required": false
},
{
"metafield_key": "SATURDAY",
"value": "False",
"required": false
},
{
"metafield_key": "CUSTOMSINCOTERM",
"value": "Not Set",
"required": false
},
{
"metafield_key": "CUSTOMSEXPORTREASON",
"value": "Not Set",
"required": false
},
{
"metafield_key": "CUSTOMSDUTYACCOUNTNUMBER",
"value": "",
"required": false
}
],
"declared_value": 0,
"archived": false,
"manifest_number": 0,
"address_validation": "NotChecked",
"create_return": false,
"dtp": false,
"add_insurance": false,
"insurance_value": 0,
"plt": false,
"type": "Outgoing",
"platform": "Manual",
"status": "Unshipped"
}
],
"total_pages": 1,
"success": true
}ids_only (200)
{
"order_ids": [
400000000,
400000001,
400000002
],
"total_pages": 1,
"success": true
}Endpoint URL
https://api.starshipit.com/api/orders/shipments?status=recently_printed
Endpoint details
Get recently printed or unmanifested orders
Request Parameters
List Orders (Printed or Unmanifested) Response
Response examples
List Orders (Printed) (200)
{
"status":"recently_printed",
"orders": [
{
"order_id": 1020304051,
"order_number": "10001",
"date": "2020-11-03T08:10:11.4460327Z",
"name": "John Smith",
"carrier_name": "Australia Post",
"carrier_service_code": "7B05",
"tracking_numbers": [
"QQQ001156301000960302"
],
"country": "Australia"
}
],
"total_pages": 1,
"success": true
}List Orders (Shipped)Responses
Endpoint URL
https://api.starshipit.com/api/orders/shipped
Endpoint details
Get a list of all shipped orders (default: orders updated in the last 24 hours)
Request Parameters
List Orders (Shipped) Response
Response examples
List Orders (Shipped) (200)
{
"orders": [
{
"order_id": 1020304051,
"order_date": "2020-04-27T22:46:59.0593498Z",
"shipped_date": "2020-04-29T22:46:59.0593498Z",
"order_number": "10001",
"reference": "Online Order",
"integration_source_name": "API",
"name": "John Smith",
"state": "NSW",
"country": "Australia",
"carrier": "AusPost",
"carrier_name": "Australia Post",
"carrier_service_code": "7B05",
"carrier_service_name": "Express Post",
"shipment_type": "O",
"tracking_number": "QQQ001156301000960302",
"tracking_short_status": "In Transit",
"tracking_full_status": "In Transit",
"manifest_number": 5358,
"manifest_sent": true,
"writeback_status": "Up to date",
"writeback_details": "Success"
}
],
"total_pages": 1,
"success": true
}List Orders (Delivered)Responses
Endpoint URL
https://api.starshipit.com/api/orders/delivered?order_ref=12345
Endpoint details
Get a list of all delivered orders with a given order reference
Request Parameters
List Orders (Delivered) Response
Response examples
List Orders (Delivered) (200)
{
"orders": [
{
"order_id": 400000001,
"order_date": "2022-02-22T23:57:51.3774738",
"order_number": "5370",
"reference": "12345",
"carrier": "AusPost",
"carrier_name": "Australia Post",
"carrier_service_code": "7B05",
"signature_required": false,
"dangerous_goods": false,
"currency": "NZD",
"sender_details": {
"name": "Sender Name",
"email": "sender.email@starshipit.com",
"phone": "0201234567",
"company": "Starshipit",
"street": "10 George Street",
"suburb": "City Centre",
"city": "Melbourne",
"state": "VIC",
"post_code": "1234",
"country": "Australia",
"tax_numbers": []
},
"destination": {
"name": "John Smith",
"email": "john.smith@example.com",
"phone": "",
"building": "",
"company": "",
"street": "10 George St",
"suburb": "Redfern",
"city": "",
"state": "NSW",
"post_code": "2016",
"country": "AUSTRALIA",
"delivery_instructions": "",
"tax_numbers": []
},
"packages": [
{
"package_id": 200000001,
"name": "Test Package",
"weight": 6,
"height": 0.01,
"width": 0.05,
"length": 0.1,
"packaging_type": "Carton",
"carrier_service_code": "7B05",
"carrier_service_name": "PARCEL POST + SIGNATURE",
"tracking_number": "2XD890127901000935103",
"tracking_url": "https://auspost.com.au/mypost/track/details/2XD890127901000935103",
"delivery_status": "Printed",
"shipment_type": "Outgoing",
"label_created_date": "2022-02-23T00:00:43.8986313",
"barcode": "0199312650999998912XD890127901000935103"
}
],
"metadatas": [
{
"metafield_key": "ADDRESSVALIDATED",
"value": "True",
"required": false
},
{
"metafield_key": "SOURCE",
"value": "Manual",
"required": false
},
{
"metafield_key": "ATL",
"value": "False",
"required": false
},
{
"metafield_key": "SAFEDROP",
"value": "True",
"required": false
},
{
"metafield_key": "CREATERETURN",
"value": "False",
"required": false
},
{
"metafield_key": "INSURANCE",
"value": "False",
"required": false
},
{
"metafield_key": "INSURANCEVALUE",
"value": "0.00",
"required": false
},
{
"metafield_key": "DANGEROUSGOODS",
"value": "False",
"required": false
},
{
"metafield_key": "EXPORTTYPE",
"value": "Sale of Goods",
"required": false
},
{
"metafield_key": "COMMERCIALVALUE",
"value": "False",
"required": false
},
{
"metafield_key": "EXPORTNUMBER",
"value": "",
"required": false
}
],
"declared_value": 0,
"archived": false,
"manifest_number": 12345678,
"writeback_status": "Not required",
"writeback_details": "Not Required",
"address_validation": "Valid",
"create_return": false,
"dtp": false,
"export_type": "Sale of Goods",
"add_insurance": false,
"insurance_value": 0,
"plt": false,
"type": "Outgoing",
"platform": "Manual",
"status": "Delivered6",
"manifested": true,
"has_commercial_invoice": false,
"is_fully_packed": false
}
],
"success": true
}List Orders SummaryResponses
Endpoint URL
https://api.starshipit.com/api/orders/summary?order_status=shipped
Endpoint details
Get a summary of orders by status
Request Parameters
Order Summary Response
Response examples
List Orders Summary (200)
{
"orders": [
{
"order_id": 400000001,
"order_number": "1419",
"contact_name": "Test test",
"country": "Australia",
"state": "NSW",
"order_type": "Outgoing",
"platform": "WooCommerce",
"integration_id": 25,
"order_status": 10,
"carrier": "MyPostBusiness",
"product": "B20",
"weight": 0,
"weight_unit": "kg",
"valid_address": true,
"quantity": "",
"skus": "",
"items": "",
"soh": "",
"manifest_number": 2630833,
"manifest_sent": true,
"writeback_status": "Up to date",
"order_date": "2024-04-14T23:44:45",
"shipped_date": "2024-04-18T04:43:49.9777195"
}
],
"order_counts": {
"unprinted_count": 248,
"printed_count": 62,
"shipped_count": 68,
"archived_count": 956,
"archived_unshipped_count": 0,
"archived_shipped_count": 956,
"unprinted_invalidaddress_count": 14,
"return_count": 17
},
"success": true
}Complex filtering example (200)
{
"orders": [
{
"order_id": 424687615,
"order_number": "#1129",
"contact_name": "test test",
"country": "Australia",
"state": "NSW",
"order_type": "Outgoing",
"platform": "Shopify",
"integration_id": 557383,
"order_status": "Delivered",
"carrier": "PlainLabel",
"product": "Plain Label",
"weight": 0,
"weight_unit": "kg",
"valid_address": true,
"quantity": "",
"skus": "",
"items": "",
"soh": "",
"manifest_number": 0,
"manifest_sent": true,
"writeback_status": "Up to date",
"tracking_status": "Delivered",
"order_date": "2024-04-23T22:45:48",
"shipped_date": "2024-04-29T02:04:16.5098323"
}
],
"order_counts": {
"unprinted_count": 248,
"printed_count": 62,
"shipped_count": 68,
"archived_count": 956,
"archived_unshipped_count": 0,
"archived_shipped_count": 956,
"unprinted_invalidaddress_count": 14,
"return_count": 17
},
"success": true
}Search OrdersResponses
Endpoint URL
https://api.starshipit.com/api/orders/search?phrase=EXAMPLE-ORDER&status=All&fields=All
Endpoint details
Find a known order by order number, tracking number, reference or receiver name.
Supply a non-empty phrase and set status=All with fields=All to include matching unshipped, shipped and archived orders. Check each result's archived boolean to identify an archived order. This endpoint does not provide an archived-only list or a tag-based search of archived orders.
Request Parameters
Search Orders Response
Response examples
Search Orders by order number (200)
{
"orders": [
{
"order_id": 10001,
"order_date": "2020-04-29T22:46:59.6374472Z",
"order_number": "12345",
"name": "John Smith",
"carrier_name": "Australia Post",
"tracking_number": "A123456",
"country": "Australia",
"archived": false
}
],
"total_pages": 1,
"success": true
}Search Orders by tracking number (200)
{
"orders": [
{
"order_id": 10001,
"order_date": "2020-04-29T22:46:59.6374472Z",
"order_number": "12345",
"name": "John Smith",
"carrier_name": "Australia Post",
"tracking_number": "A123456",
"country": "Australia",
"archived": false
}
],
"total_pages": 1,
"success": true
}GET/api/ordersGet Order(s)Responses
/api/ordersEndpoint URL
https://api.starshipit.com/api/orders
Endpoint details
Get order details by either order_id or order_number. If neither order_id or order_number is provided, this endpoint can be used to return multiple orders that match the criteria.
Request Parameters
Get Order Response
Response examples
Get Order by order id (200)
{
"order":{
"order_id":1020304051,
"order_date":"2020-04-29T22:46:59.7155669Z",
"order_number":"10001",
"reference":"Online Order",
"carrier":"AusPost",
"carrier_name":"Australia Post",
"carrier_service_code":"7B05",
"shipping_method":"Express Shipping",
"signature_required":false,
"dangerous_goods":false,
"destination":{
"name":"John Smith",
"phone":"0290988227",
"street":"20 George Street",
"suburb":"Sydney",
"state":"NSW",
"post_code":"2000",
"country":"Australia",
"delivery_instructions":"Leave at door"
},
"items":[
{
"item_id":1065580746,
"description":"Mobile Phone",
"sku":"MOBILE",
"quantity":1,
"quantity_to_ship":0,
"weight":0.65,
"value":125
},
{
"item_id":1065580747,
"description":"Mobile Case (Black)",
"sku":"MOBILE-CASE-BLK",
"quantity":1,
"quantity_to_ship":0,
"weight":0.05,
"value":20
}
],
"packages":[
{
"package_id":1035548017,
"weight":0.7,
"height":0.04,
"width":0.08,
"length":0.12
}
],
"declared_value":0
},
"success":true
}Get Order by order number (200)
{
"order":{
"order_id":1020304051,
"order_date":"2020-04-29T22:46:59.7155669Z",
"order_number":"10001",
"reference":"Online Order",
"carrier":"AusPost",
"carrier_name":"Australia Post",
"carrier_service_code":"7B05",
"shipping_method":"Express Shipping",
"signature_required":false,
"dangerous_goods":false,
"destination":{
"name":"John Smith",
"phone":"0290988227",
"street":"20 George Street",
"suburb":"Sydney",
"state":"NSW",
"post_code":"2000",
"country":"Australia",
"delivery_instructions":"Leave at door"
},
"items":[
{
"item_id":1065580746,
"description":"Mobile Phone",
"sku":"MOBILE",
"quantity":1,
"quantity_to_ship":0,
"weight":0.65,
"value":125
},
{
"item_id":1065580747,
"description":"Mobile Case (Black)",
"sku":"MOBILE-CASE-BLK",
"quantity":1,
"quantity_to_ship":0,
"weight":0.05,
"value":20
}
],
"packages":[
{
"package_id":1035548017,
"weight":0.7,
"height":0.04,
"width":0.08,
"length":0.12
}
],
"declared_value":0
},
"success":true
}POST/api/orders
/api/ordersEndpoint URL
https://api.starshipit.com/api/orders
Endpoint details
Create a new unshipped order
Create Order Request
Create Order Response
Request body
{
"order": {
"order_date": "",
"order_number": "1781783617",
"reference": "Online Order",
"shipping_method": "Return Express Shipping",
"signature_required": false,
"return_order": false,
"dangerous_goods": false,
"shipping_freight_value": 12.5,
"currency": "AUD",
"sender_details": {
"name": "Frank's Flowers",
"email": "frank@flowers.example",
"phone": "0215671234",
"street": "10 Rose Street",
"suburb": "Redfern",
"city": "Sydney",
"state": "NSW",
"post_code": "2016",
"country": "Australia",
"tax_numbers": [
{
"tax_type": "australia_gst_number",
"tax_number": "123456789"
}
]
},
"destination": {
"name": "Johnny Smith",
"phone": "0290988227",
"street": "20 George Street",
"suburb": "Sydney",
"state": "NSW",
"post_code": "2000",
"country": "Australia",
"delivery_instructions": "Leave at door",
"tax_numbers": [
{
"tax_type": "vat_registration",
"tax_number": "GB123456789"
}
]
},
"items": [
{
"description": "Mobile Phone",
"sku": "MOBILE",
"tariff_code": "851713",
"country_of_origin": "AU",
"quantity": 1,
"weight": 0.65,
"value": 125,
"brand": "Acme",
"material": "Aluminium",
"usage": "Personal electronics",
"mid_code": "AUSACME",
"bin_location": "A-01",
"barcode": "9340000000012",
"image_url": "https://example.com/products/mobile-phone.jpg",
"merchant_product_id": "MOBILE",
"manufacturer_product_id": "ACME-MOBILE-001",
"standardised_product_id": "9340000000012"
}
],
"packages": [
{
"name": "Small carton",
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.12,
"packaging_type": "Carton"
}
],
"customs": {
"incoterm": "DAP",
"export_reason": "Sale",
"invoice_remarks": "Handle with care",
"invoice_text": "Commercial invoice text"
}
}
}Response examples
Create Order (200)
{
"order": {
"order_id": 1020304051,
"order_date": "2020-04-29T22:47:00.0593501Z",
"order_number": "10001",
"reference": "Online Order",
"carrier": "AusPost",
"carrier_name": "Australia Post",
"carrier_service_code": "7B05",
"shipping_method": "Express Shipping",
"signature_required": false,
"dangerous_goods": false,
"destination": {
"name": "John Smith",
"phone": "0290988227",
"street": "20 George Street",
"suburb": "Sydney",
"state": "NSW",
"post_code": "2000",
"country": "Australia",
"delivery_instructions": "Leave at door"
},
"items": [
{
"item_id": 1065580746,
"description": "Mobile Phone",
"sku": "MOBILE",
"quantity": 1,
"quantity_to_ship": 0,
"weight": 0.65,
"value": 125
},
{
"item_id": 1065580747,
"description": "Mobile Case (Black)",
"sku": "MOBILE-CASE-BLK",
"quantity": 1,
"quantity_to_ship": 0,
"weight": 0.05,
"value": 20
}
],
"packages": [
{
"package_id": 1035548017,
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.12
}
],
"declared_value": 0
},
"success": true
}Create Order
Endpoint URL
https://api.starshipit.com/api/orders/import
Endpoint details
Create new unshipped orders (Maximum orders per API request: 50)
Create Orders Request
Create Orders Response
Request body
{
"orders": [
{
"order_date": "2020-04-29T22:47:00.699943Z",
"order_number": "10001",
"reference": "Online Order",
"shipping_method": "Express Shipping",
"signature_required": false,
"destination": {
"name": "Johnny Smith",
"phone": "0290988227",
"street": "20 George Street",
"suburb": "Sydney",
"state": "NSW",
"post_code": "2000",
"country": "Australia",
"delivery_instructions": "Leave at door"
},
"items": [
{
"description": "Mobile Phone",
"sku": "MOBILE",
"quantity": 1,
"weight": 0.65,
"value": 125,
"merchant_product_id": "MOBILE",
"manufacturer_product_id": "ACME-MOBILE-001",
"standardised_product_id": "9340000000012"
},
{
"description": "Mobile Case (Black)",
"sku": "MOBILE-CASE-BLK",
"quantity": 1,
"weight": 0.05,
"value": 20
}
]
},
{
"order_date": "2020-04-29T22:47:00.699943Z",
"order_number": "10002",
"reference": "Online Order",
"shipping_method": "International Shipping",
"signature_required": true,
"destination": {
"name": "Robert Johnson",
"phone": "099734100",
"street": "10 Federal Street",
"suburb": "Auckland Central",
"city": "Auckland",
"state": "Auckland",
"post_code": "1010",
"country": "New Zealand",
"delivery_instructions": "See the receptionist"
},
"items": [
{
"description": "Mobile Case (Blue)",
"sku": "MOBILE-CASE-BLU",
"quantity": 5,
"weight": 0.05,
"value": 20,
"merchant_product_id": "MOBILE",
"manufacturer_product_id": "ACME-MOBILE-001",
"standardised_product_id": "9340000000012"
}
]
}
]
}Response examples
Create Orders
{
"orders": [
{
"order_id": 1020304051,
"order_date": "2020-04-29T22:47:00.699943Z",
"order_number": "10001",
"reference": "Online Order",
"carrier": "AusPost",
"carrier_name": "Australia Post",
"carrier_service_code": "7B05",
"shipping_method": "Express Shipping",
"signature_required": false,
"dangerous_goods": false,
"destination": {
"name": "John Smith",
"phone": "0290988227",
"street": "20 George Street",
"suburb": "Sydney",
"state": "NSW",
"post_code": "2000",
"country": "Australia",
"delivery_instructions": "Leave at door"
},
"items": [
{
"item_id": 1065580746,
"description": "Mobile Phone",
"sku": "MOBILE",
"quantity": 1,
"quantity_to_ship": 0,
"weight": 0.65,
"value": 125
},
{
"item_id": 1065580747,
"description": "Mobile Case (Black)",
"sku": "MOBILE-CASE-BLK",
"quantity": 1,
"quantity_to_ship": 0,
"weight": 0.05,
"value": 20
}
],
"packages": [
{
"package_id": 1035548017,
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.12
}
],
"declared_value": 0
},
{
"order_id": 1020304052,
"order_date": "2020-04-29T22:47:00.699943Z",
"order_number": "10002",
"reference": "Online Order",
"carrier": "AusPost",
"carrier_name": "Australia Post",
"carrier_service_code": "ECM8",
"shipping_method": "International Shipping",
"signature_required": true,
"dangerous_goods": false,
"destination": {
"name": "Robert Johnson",
"phone": "099734100",
"street": "10 Federal Street",
"suburb": "Auckland Central",
"city": "Auckland",
"state": "Auckland",
"post_code": "1010",
"country": "New Zealand",
"delivery_instructions": "See the receptionist"
},
"items": [
{
"item_id": 1065580748,
"description": "Mobile Case (Blue)",
"sku": "MOBILE-CASE-BLU",
"quantity": 5,
"quantity_to_ship": 0,
"weight": 0.05,
"value": 20
}
],
"packages": [
{
"package_id": 1035548018,
"weight": 0.25,
"height": 0.04,
"width": 0.2,
"length": 0.15
}
],
"declared_value": 0
}
],
"success": true
}PUT/api/orders
/api/ordersEndpoint URL
https://api.starshipit.com/api/orders
Endpoint details
You can use the Update Order API to update order information. Different fields are available depending on the state of the order (i.e. once you have generated a label there is limited ability to modify the shipment details as they must be retained).
For new/unshipped orders you can update all non read-only fields in the model: Update Order Model
For printed & shipped orders you can update:
- Status (you can not update back to unshipped once printed)
Update Order Request
Update Order Response
Request body
{
"order": {
"order_id": 488123472,
"order_number": "1731273098",
"reference": "Online Order",
"carrier": "AusPost",
"carrier_service_code": "7B05",
"carrier_service_name": "Express Post",
"shipping_method": "Express Shipping",
"signature_required": false,
"note": "Add gift card before packing",
"destination": {
"name": "John Smith",
"phone": "0290988227",
"street": "20 George Street",
"suburb": "Sydney",
"state": "NSW",
"post_code": "2000",
"country": "Australia",
"delivery_instructions": "Leave at door",
"tax_numbers": [
{
"tax_type": "vat_registration",
"tax_number": "GB123456789"
}
]
},
"billing": {
"name": "Jane Smith",
"company": "Smith Tools",
"street": "44 Billing Road",
"suburb": "Sydney",
"state": "NSW",
"post_code": "2000",
"country": "Australia",
"tax_numbers": [
{
"tax_type": "australia_gst_number",
"tax_number": "123456789"
}
]
},
"items": [
{
"item_id": 1065580746,
"description": "Mobile Phone",
"sku": "MOBILE",
"quantity": 1,
"quantity_to_ship": 1,
"weight": 0.65,
"value": 125,
"brand": "Acme",
"material": "Aluminium",
"usage": "Personal electronics",
"mid_code": "AUSACME",
"bin_location": "A-01",
"barcode": "9340000000012",
"image_url": "https://example.com/products/mobile-phone.jpg",
"merchant_product_id": "MOBILE",
"manufacturer_product_id": "ACME-MOBILE-001",
"standardised_product_id": "9340000000012"
}
],
"packages": [
{
"package_id": 1035548017,
"name": "Small carton",
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.12,
"packaging_type": "Carton",
"tracking_number": "ABC123456789",
"sscc": "000123456789012345",
"description": "Phone and accessories"
}
],
"customs": {
"incoterm": "DAP",
"export_reason": "Sale",
"invoice_remarks": "Handle with care"
},
"metadatas": [
{
"metafield_key": "packing_note",
"value": "Gift wrap",
"required": false
}
]
}
}Response examples
Update Order (200)
{
"order": {
"order_id": 1020304051,
"order_date": "2020-11-03T01:39:02.0690092Z",
"order_number": "10001",
"reference": "Online Order",
"carrier": "AusPost",
"carrier_name": "Australia Post",
"carrier_service_code": "7B05",
"shipping_method": "Express Shipping",
"signature_required": false,
"dangerous_goods": false,
"destination": {
"name": "John Smith",
"phone": "0290988227",
"street": "20 George Street",
"suburb": "Sydney",
"state": "NSW",
"post_code": "2000",
"country": "Australia",
"delivery_instructions": "Leave at door"
},
"items": [
{
"item_id": 1065580746,
"description": "Mobile Phone",
"sku": "MOBILE",
"quantity": 1,
"quantity_to_ship": 0,
"weight": 0.65,
"value": 125
},
{
"item_id": 1065580747,
"description": "Mobile Case (Black)",
"sku": "MOBILE-CASE-BLK",
"quantity": 1,
"quantity_to_ship": 0,
"weight": 0.05,
"value": 20
}
],
"packages": [
{
"package_id": 1035548017,
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.1
}
],
"declared_value": 0,
"archived": false,
"manifest_number": 0,
"address_validation": "NotChecked",
"create_return": false,
"dtp": false,
"add_insurance": false,
"insurance_value": 0,
"plt": false,
"type": "Outgoing",
"platform": "MoneyWorks",
"status": "Unshipped"
},
"success": true
}Endpoint URL
https://api.starshipit.com/api/orders/update
Endpoint details
You can use the Update Orders API to update order information. Different fields are available depending on the state of the order (i.e. once you have generated a label there is limited ability to modify the shipment details as they must be retained).
For new/unshipped orders you can update all non read-only fields in the model: Update Order Model
For printed & shipped orders you can update:
- Status (you cannot update back to new/unshipped once printed)
Update Orders Request
Update Orders Response
Request body
[
{
"order": {
"order_id": 1020304051,
"order_date": "2020-11-03T01:39:03.0533776Z",
"order_number": "10001",
"reference": "Online Order",
"carrier": "AusPost",
"carrier_service_code": "7B05",
"shipping_method": "Express Shipping",
"signature_required": false,
"destination": {
"name": "John Smith",
"phone": "0290988227",
"street": "20 George Street",
"suburb": "Sydney",
"state": "NSW",
"post_code": "2000",
"country": "Australia",
"delivery_instructions": "Leave at door"
},
"items": [
{
"item_id": 1065580746,
"description": "Mobile Phone",
"sku": "MOBILE",
"quantity": 1,
"weight": 0.65,
"value": 125,
"merchant_product_id": "MOBILE",
"manufacturer_product_id": "ACME-MOBILE-001",
"standardised_product_id": "9340000000012"
},
{
"item_id": 1065580747,
"description": "Mobile Case (Black)",
"sku": "MOBILE-CASE-BLK",
"quantity": 1,
"weight": 0.05,
"value": 20
}
],
"packages": [
{
"package_id": 1035548017,
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.12
}
]
}
}
]Response examples
Update Orders (200)
[
{
"order": {
"order_id": 1020304051,
"order_date": "2020-11-03T01:39:03.0690271Z",
"order_number": "10001",
"reference": "Online Order",
"carrier": "AusPost",
"carrier_name": "Australia Post",
"carrier_service_code": "7B05",
"shipping_method": "Express Shipping",
"signature_required": false,
"dangerous_goods": false,
"destination": {
"name": "John Smith",
"phone": "0290988227",
"street": "20 George Street",
"suburb": "Sydney",
"state": "NSW",
"post_code": "2000",
"country": "Australia",
"delivery_instructions": "Leave at door"
},
"items": [
{
"item_id": 1065580746,
"description": "Mobile Phone",
"sku": "MOBILE",
"quantity": 1,
"quantity_to_ship": 0,
"weight": 0.65,
"value": 125
},
{
"item_id": 1065580747,
"description": "Mobile Case (Black)",
"sku": "MOBILE-CASE-BLK",
"quantity": 1,
"quantity_to_ship": 0,
"weight": 0.05,
"value": 20
}
],
"packages": [
{
"package_id": 1035548017,
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.1
}
],
"declared_value": 0,
"archived": false,
"manifest_number": 0,
"address_validation": "NotChecked",
"create_return": false,
"dtp": false,
"add_insurance": false,
"insurance_value": 0,
"plt": false,
"type": "Outgoing",
"platform": "MoneyWorks",
"status": "Unshipped"
},
"success": true
}
]Endpoint URL
https://api.starshipit.com/api/orders/batchupdate
Endpoint details
You can use the batch update order api to update the carrier information on a list of unshipped orders. You can update:
- Product Code
- Carrier Id
Batch Update Orders Request
Batch Update Orders Response
Request body
{
"order_ids": [
128306022
],
"product_code": "7B05",
"carrier_id": "10"
}Response examples
Batch Update Orders (200)
{
"success": true
}DELETE/api/orders/deleteDelete OrderResponsesExamplesResponse
/api/orders/deleteEndpoint URL
https://api.starshipit.com/api/orders/delete
Endpoint details
Delete an unshipped order
Delete Order Request
Delete Order Response
Response examples
Delete Order (200)
{
"success": true
}Archive OrderResponses
Endpoint URL
https://api.starshipit.com/api/orders/archive?order_id=121330827
Endpoint details
Archive a printed/shipped order
Request format: Send order_id as a required query-string parameter in the URL. Keep the POST body empty (zero length); do not send a JSON body.
Archive Order Request
Archive Order Response
Query parameters
| Name | Example | Description |
|---|---|---|
| order_id | 121330827 | Required order identifier. Send this value in the URL query string. |
Response examples
Archive Order (200)
{
"success": true
}Restore OrderResponses
Endpoint URL
https://api.starshipit.com/api/orders/restore?order_id=121330827
Endpoint details
Restore an archived order
Request format: Send order_id as a required query-string parameter in the URL. Keep the POST body empty (zero length); do not send a JSON body.
Restore Order Request
Restore Order Response
Query parameters
| Name | Example | Description |
|---|---|---|
| order_id | 121330827 | Required order identifier. Send this value in the URL query string. |
Response examples
Restore Order (200)
{
"success": true
}Endpoint URL
https://api.starshipit.com/api/orders/merge
Endpoint details
Merger multiple unshipped orders to an unshipped orders
Merge Orders Request
Merge Orders Response
Request body
{
"parent_order_id": 121330827,
"child_order_ids": [
121330828
]
}Response examples
Merge Orders (200)
{
"success": true
}Get Suggested MergesResponsesExamplesResponse
Endpoint URL
https://api.starshipit.com/api/orders/mergeable
Endpoint details
Get a list of unshipped orders where there are multiple orders going to the same person at the same address.
Mergeable Orders Type
Merge Orders Request
Merge Orders Response
Response examples
Get Suggested Merges (200)
{
"orders": [
{
"primary_order_id": 440931582,
"orders": [
{
"order_id": 440931582,
"order_number": "858",
"order_date": "2024-07-01T05:10:34.4730965",
"street": "3623 Altona 11",
"suburb": "",
"city": "Saint Thomas",
"postcode": "00802",
"state": "",
"country": "Virgin Islands, U.S.",
"contact": "Test Virgin Islands, U.S."
},
{
"order_id": 440932662,
"order_number": "859",
"order_date": "2024-07-01T05:12:34.4730965",
"street": "3623 Altona 11",
"suburb": "",
"city": "Saint Thomas",
"postcode": "00802",
"state": "",
"country": "Virgin Islands, U.S.",
"contact": "Test Virgin Islands, U.S."
}
]
}
],
"total": 1,
"total_pages": 1,
"success": true
}Endpoint URL
https://api.starshipit.com/api/orders/assign
Endpoint details
Assign unshipped orders by order_id or order_number from one account to another
Assign Orders Request
Assign Orders - Order Model
Assign Orders Response
Request body
{
"orders": [
{
"order_id": 121330827,
"current_api_key": "CURRENT_API_KEY",
"new_api_key": "NEW_API_KEY"
}
]
}Response examples
Assign Orders by order_number (200)
{
"success": true
}Assign Orders by order_id (200)
{
"success": true
}Shipments
Print labels, batch labels, clone shipments, replace shipments, and work with shipment documents.
7 endpoints shown
Endpoint URL
https://api.starshipit.com/api/orders/shipment
Endpoint details
Print a shipping label for a given order. The labels field returned in the response is a base64 encoded string that you can simply use to decode and save the output as a PDF file.
Print Label Request
Print Label - Package Model
Print Label Response
Request body
{
"order_id": 430614764,
"carrier": "DHL",
"carrier_service_code": "DOM",
"packages": [
{
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.1
}
],
"reprint": false
}Response examples
Print Label (200)
{
"application/json": {
"order_id": 121330827,
"order_number": "10001",
"carrier_name": "CourierPost",
"tracking_numbers": [
"QQQ001156301000960302"
],
"labels": [
"JVBERi0xLjQKJeLjz9M .......... lwZS9JbWFnZS9Xa"
],
"label_types": [
"CourierPost"
],
"success": true
}
}Endpoint URL
https://api.starshipit.com/api/orders/shipments
Endpoint details
Print shipping labels for given orders. The labels field returned in the response is a base64 encoded string that you can simply use to decode and save the output as a PDF file.
Print Labels Request
Print Labels Response
Print Labels - Label Model
Request body
{
"order_ids": [
1020304051,
1020324318,
1020356475,
1020363915,
1020365786
],
"reprint": false
}Response examples
Print Labels
{
"labels": [
{
"label_type": "AusPost",
"label_base64_string": "JVBERi0xLjQKJeLjz9M .......... lwZS9JbWFnZS9Xa"
}
],
"success": true
}Endpoint URL
https://api.starshipit.com/api/orders/packingslips
Endpoint details
Create packing slips for single or multiple orders, or create packing summary to easily identity the quantities of each SKU to pick for all orders.
Print Packing Slips Request
Print Packing Slips Response
Request body
{
"order_ids": [
1020304051,
1020324318,
1020356475,
1020363915,
1020365786
]
}Response examples
Print Packing Slips
{
"label_type": "PackingSlip",
"pdf": "JVBERi0xLjQKJeLjz9M .......... lwZS9JbWFnZS9Xa",
"success": true
}Endpoint URL
https://api.starshipit.com/api/orders/manifest
Endpoint details
Finalise and manifest your printed orders. Manifesting will send the order details to your courier service for billing.
Manifest Orders Request
Manifest Orders Response
Request body
{
"order_ids": [
121330827
]
}Response examples
Manifest Orders (200)
{
"label_type": "ManifestReport",
"pdf": "JVBERi0xLjQKJeLjz9M .......... lwZS9JbWFnZS9Xa",
"success": true
}
Endpoint URL
https://api.starshipit.com/api/orders/shipment/clone
Endpoint details
Clone a printed or shipped order
Clone Shipment Request
Clone Shipment Response
Request body
{
"order_id": 128327582,
"to_return_shipment": null
}Response examples
Clone Shipment (200)
{
"order": {
"order_id": 128429053,
"order_date": "2020-11-09T21:19:53.1975911",
"order_number": "1604956792",
"reference": "Online Order",
"carrier": "DHL",
"carrier_name": "DHL Express",
"carrier_service_code": "WPX",
"shipping_method": "Express Shipping",
"signature_required": true,
"dangerous_goods": false,
"currency": "NZD",
"sender_details": {
"name": "Aluth",
"email": "chinthaka.samarasinghe@starshipit.com",
"phone": "023343433",
"building": "Federal Building",
"company": "Startshipit",
"street": "23 Batman St",
"suburb": "West Melbourne",
"city": "Melbourne",
"state": "VIC",
"post_code": "3003",
"country": "Australia"
},
"destination": {
"name": "Sue Collier",
"email": "Evangeline14@yahoo.com",
"phone": "0290988227",
"building": "HBO Building",
"company": "Wolff - Wintheiser",
"street": "45 Remuera Road",
"suburb": "Remuera",
"city": "Auckland",
"state": "",
"post_code": "1050",
"country": "New Zealand",
"delivery_instructions": ""
},
"items": [
{
"item_id": 626375861,
"description": "Mobile Phone",
"sku": "MOBILE",
"country_of_origin": "New Zealand",
"quantity": 1,
"quantity_to_ship": 1,
"weight": 0.65,
"value": 125.0
},
{
"item_id": 626375862,
"description": "Mobile Case (Black)",
"sku": "MOBILE-CASE-BLK",
"country_of_origin": "New Zealand",
"quantity": 1,
"quantity_to_ship": 1,
"weight": 0.05,
"value": 20.0
}
],
"packages": [
{
"package_id": 145721064,
"name": "Package",
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.10,
"packaging_type": "",
"carrier_service_code": "WPX",
"tracking_number": "",
"tracking_url": "http://www.dhl.com/cgi-bin/tracking.pl?AWB=",
"delivery_status": "",
"shipment_type": "Outgoing",
"contents": "Shirt Blue L"
},
{
"package_id": 145721065,
"name": "Package",
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.10,
"packaging_type": "",
"carrier_service_code": "WPX",
"tracking_number": "",
"tracking_url": "http://www.dhl.com/cgi-bin/tracking.pl?AWB=",
"delivery_status": "",
"shipment_type": "Return",
"contents": "Shirt Blue L"
}
],
"metadatas": [
{
"metafield_key": "ADDRESSVALIDATED",
"value": "True"
},
{
"metafield_key": "SOURCE",
"value": "API"
},
{
"metafield_key": "DTP",
"value": "False"
},
{
"metafield_key": "INSURANCE",
"value": "False"
},
{
"metafield_key": "INSURANCEVALUE",
"value": "0.00"
},
{
"metafield_key": "SIGNATURE",
"value": "True"
},
{
"metafield_key": "ATL",
"value": "False"
},
{
"metafield_key": "BATTERY",
"value": "False"
},
{
"metafield_key": "SATURDAY",
"value": "False"
}
],
"events": [
{
"time": "2020-11-09T21:23:09.8847616",
"category": "General",
"method": "Order saved.",
"description": "Modified"
},
{
"time": "2020-11-09T21:23:09.9472611",
"category": "General",
"method": "Add Shipment",
"description": "This is a clone of the order 128427912."
}
],
"declared_value": 145.00,
"archived": false,
"manifest_number": 0,
"address_validation": "Valid",
"create_return": true,
"dtp": false,
"export_type": "",
"add_insurance": false,
"insurance_value": 0.00,
"plt": false,
"type": "Outgoing",
"platform": "API",
"status": "Saved",
"manifested": false
},
"success": true
}Endpoint URL
https://api.starshipit.com/api/orders/shipment/replace
Endpoint details
Redo a printed or shipped order
Replace Shipment Request
Replace Shipment Response
Request body
{
"order_id": 128433983
}Response examples
Replace Shipment (200)
{
"order": {
"order_id": 128434172,
"order_date": "2020-11-09T21:41:25.5840613",
"order_number": "1604958085",
"reference": "Online Order",
"carrier": "DHL",
"carrier_name": "DHL Express",
"carrier_service_code": "WPX",
"shipping_method": "Express Shipping",
"signature_required": true,
"dangerous_goods": false,
"currency": "NZD",
"sender_details": {
"name": "Aluth",
"email": "chinthaka.samarasinghe@starshipit.com",
"phone": "023343433",
"building": "Federal Building",
"company": "Startshipit",
"street": "23 Batman St",
"suburb": "West Melbourne",
"city": "Melbourne",
"state": "VIC",
"post_code": "3003",
"country": "Australia"
},
"destination": {
"name": "Felicia Beatty",
"email": "Amiya_Mertz63@hotmail.com",
"phone": "0290988227",
"building": "HBO Building",
"company": "Stiedemann and Sons",
"street": "45 Remuera Road",
"suburb": "Remuera",
"city": "Auckland",
"state": "",
"post_code": "1050",
"country": "New Zealand",
"delivery_instructions": ""
},
"items": [
{
"item_id": 626385770,
"description": "Mobile Phone",
"sku": "MOBILE",
"country_of_origin": "New Zealand",
"quantity": 1,
"quantity_to_ship": 1,
"weight": 0.65,
"value": 125.0
},
{
"item_id": 626385771,
"description": "Mobile Case (Black)",
"sku": "MOBILE-CASE-BLK",
"country_of_origin": "New Zealand",
"quantity": 1,
"quantity_to_ship": 1,
"weight": 0.05,
"value": 20.0
}
],
"packages": [
{
"package_id": 145727005,
"name": "Package",
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.10,
"packaging_type": "",
"carrier_service_code": "WPX",
"tracking_number": "",
"tracking_url": "http://www.dhl.com/cgi-bin/tracking.pl?AWB=",
"delivery_status": "",
"shipment_type": "Outgoing",
"contents": "Shirt Blue L"
},
{
"package_id": 145727006,
"name": "Package",
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.10,
"packaging_type": "",
"carrier_service_code": "WPX",
"tracking_number": "",
"tracking_url": "http://www.dhl.com/cgi-bin/tracking.pl?AWB=",
"delivery_status": "",
"shipment_type": "Return",
"contents": "Shirt Blue L"
}
],
"metadatas": [
{
"metafield_key": "ADDRESSVALIDATED",
"value": "True"
},
{
"metafield_key": "SOURCE",
"value": "API"
},
{
"metafield_key": "DTP",
"value": "False"
},
{
"metafield_key": "INSURANCE",
"value": "False"
},
{
"metafield_key": "INSURANCEVALUE",
"value": "0.00"
},
{
"metafield_key": "SIGNATURE",
"value": "True"
},
{
"metafield_key": "ATL",
"value": "False"
},
{
"metafield_key": "BATTERY",
"value": "False"
},
{
"metafield_key": "SATURDAY",
"value": "False"
}
],
"events": [
{
"time": "2020-11-09T21:42:36.4850816",
"category": "General",
"method": "Order saved.",
"description": "Modified"
},
{
"time": "2020-11-09T21:42:36.5007076",
"category": "General",
"method": "Redo Shipment",
"description": "This order has been created from 128433983 which is now archived."
}
],
"declared_value": 145.00,
"archived": false,
"manifest_number": 0,
"address_validation": "Valid",
"create_return": true,
"dtp": false,
"export_type": "",
"add_insurance": false,
"insurance_value": 0.00,
"plt": false,
"type": "Outgoing",
"platform": "API",
"status": "Saved",
"manifested": false
},
"success": true
}Endpoint URL
https://api.starshipit.com/api/orders/commercialinvoices
Request body
{
"order_ids": [
1020304051,
1020304052
]
}Response examples
Create Commercial Invoices (200)
{
"invoiceList": [
{
"order_id": 1020304051,
"order_name": "10001",
"invoice_base64_string": "JVBERi0x...",
"invoice_type": "PDF"
}
],
"success": true
}Tracking
Retrieve tracking details and delivery updates for shipped orders.
2 endpoints shown
GET/api/trackTrackingResponses
/api/trackEndpoint URL
https://api.starshipit.com/api/track
Endpoint details
Get tracking details using a tracking number
Request Parameters
Tracking Response
Tracking - Tracking Details Model
Tracking - Tracking Events Model
Response examples
Tracking by tracking number (200)
{
"results": {
"order_number": "C12346",
"order_status": "In transit",
"carrier_name": "Australia Post",
"carrier_service": "7B05",
"tracking_number": "2XD198209601000935102",
"tracking_url": "https://auspost.com.au/mypost/track/details/2XD198209601000935102",
"shipment_date": "2024-04-17T12:52:05.4168979",
"tracking_status": "Printed",
"last_updated_date": "2024-04-17T13:20:18",
"tracking_events": [
{
"event_datetime": "2024-04-17T12:50:07",
"status": "Printed",
"details": "Shipping information received by Australia Post"
},
{
"event_datetime": "2024-04-17T13:20:18",
"status": "Printed",
"details": "Shipping information approved by Australia Post"
}
]
},
"success": true
}Tracking by order number (200)
{
"results": {
"order_number": "C12346",
"order_status": "In transit",
"carrier_name": "Australia Post",
"carrier_service": "7B05",
"tracking_number": "2XD198209601000935102",
"tracking_url": "https://auspost.com.au/mypost/track/details/2XD198209601000935102",
"shipment_date": "2024-04-17T12:52:05.4168979",
"tracking_status": "Printed",
"last_updated_date": "2024-04-17T13:20:18",
"tracking_events": [
{
"event_datetime": "2024-04-17T12:50:07",
"status": "Printed",
"details": "Shipping information received by Australia Post"
},
{
"event_datetime": "2024-04-17T13:20:18",
"status": "Printed",
"details": "Shipping information approved by Australia Post"
}
]
},
"success": true
}POST/callback/WebhooksRequestExamplesRequest body
/callback/Endpoint URL
https://www.your-store.com/callback/
Endpoint details
What is a webhook?
Webhooks (callbacks) are event driven executions of code to send data from one application to another. For example, a webhook is a push notification from an email server sent to your phone.
How it works
Starshipit can send webhook requests when we receive tracking updates from your couriers for your orders. You can specify a notification endpoint URL were Starshipit will send these requests.
Use the notification endpoint URL to receive our webhook data and trigger a certain event in your own application. For example, send an order update email to your customer or update the order status in your database when ‘OutForDelivery’ tracking status is received.
The notification endpoint URL needs to be built to accept the POST request that returns HTTP 200 OK response and the URL can be set in Settings > Customer Notifications.
Webhook JSON data definitions
Tracking Statuses
- Printed
- Dispatched
- InTransit
- OutForDelivery
- Delivered
- PickupInStore
- AttemptedDelivery
- Exception
- AwaitingCollection
- Cancelled
Request body
{
"order_number": "5567476",
"carrier_name": "Australia Post",
"carrier_service": "7B05",
"shipment_date": "2018-08-09T02:55:37.1446912Z",
"tracking_number": "QQQ001737901000931501",
"tracking_status": "Dispatched",
"last_updated_date": "2018-08-09T02:56:07.3453198Z"
}Tracking Only Orders
Register externally generated tracking against Starshipit orders.
1 endpoints shown
Endpoint URL
https://api.starshipit.com/api/orders/shipped
Endpoint details
This POST request is used to create tracking only orders. It expects a payload containing an array of orders with their respective details such as name, order number, carrier, and tracking number.
Request Body
The request body should be in raw format and contain a JSON object with an array of orders. Each order should have the following parameters:
Response
Upon successful processing of the request, the API responds with a JSON object containing all orders that were created with their order numbers and their corresponding tracking numbers as values. Additionally, the response includes a success boolean indicating the status of the request.Example
{
"orders": {
"398667087": "XYZ-92312-VSDV-24814",
"398667099": "NCA-21938-KASL-12314",
"398667108": "MOX-53215-AJVV-12395",
"398667112": "BZH-12841-ASGB-12451"
},
"success": true
}
Request body
{
"orders":[
{
"name": "John Smith",
"carrier": "AusPost",
"tracking_number": "XYZ-92312-VSDV-24814"
},
{
"name": "Jane Smith",
"carrier": "AusPost",
"tracking_number": "NCA-21938-KASL-12314"
},
{
"order_number": "ORD10002",
"carrier": "AusPost",
"tracking_number": "MOX-53215-AJVV-12395"
},
{
"carrier": "AusPost",
"tracking_number": "BZH-12841-ASGB-12451"
}
]
}Response examples
Create Tracking Only Order (200)
{
"orders": {
"398667087": "XYZ-92312-VSDV-24814",
"398667099": "NCA-21938-KASL-12314",
"398667108": "MOX-53215-AJVV-12395",
"398667112": "BZH-12841-ASGB-12451"
},
"success": true
}Rates
Request checkout rates and delivery services from courier accounts configured in Starshipit.
3 endpoints shown
POST/api/rates
/api/ratesEndpoint URL
https://api.starshipit.com/api/rates
Endpoint details
Get a quote for a shipment
Get Rates Request
Get Rates Response
Rate Sender Address Model
Rate Destination Address Model
Rate Package Model
Rate Model
Request body
{
"sender": {
"street": "184 Exhibition Street",
"suburb": "Melbourne",
"city": "Melbourne",
"state": "VIC",
"post_code": "3000",
"country_code": "AU"
},
"destination": {
"street": "20 Liverpool Street",
"suburb": "Paddington",
"city": "Sydney",
"state": "NSW",
"post_code": "2021",
"country_code": "AU"
},
"packages": [
{
"weight": 0.1
}
]
}Response examples
Get Rates with sender address specified
{
"rates": [
{
"service_name": "PARCEL POST + SIGNATURE",
"service_code": "7B05",
"total_price": 12.05
},
{
"service_name": "EXPRESS POST + SIGNATURE",
"service_code": "7B05",
"total_price": 14.65
}
],
"success": true
}Get Rates with default sender address (200)
{
"rates": [
{
"service_name": "PARCEL POST + SIGNATURE",
"service_code": "7B05",
"total_price": 10.15
},
{
"service_name": "EXPRESS POST + SIGNATURE",
"service_code": "7B05",
"total_price": 12.85
}
],
"success": true
}GET/api/rates
/api/ratesEndpoint URL
https://api.starshipit.com/api/rates
Endpoint details
Get a quote for a shipment
Request Parameters
Get Rates Response
Response examples
Get Rates (200)
{
"rates": [
{
"service_name": "PARCEL POST + SIGNATURE",
"service_code": "7B05",
"total_price": 10.15
},
{
"service_name": "EXPRESS POST + SIGNATURE",
"service_code": "7B05",
"total_price": 12.85
}
],
"success": true
}Endpoint URL
https://api.starshipit.com/api/deliveryservices
Endpoint details
Get a list of available carrier delivery services
Delivery Services Request
Delivery Services - Sender Model
Delivery Services - Destination Model
Delivery Services - Packages Model
Delivery Services Response
Delivery Services - Service Model
Delivery Services - Meta Field Model
Request body
{
"order_id": 100000,
"refresh_rate": true,
"sender": {
"street": "10 Geonic Street",
"suburb": "Woodridge",
"city": "",
"state": "QLD",
"post_code": "4114",
"country_code": "AU"
},
"destination": {
"street": "10 Geoffrey Place",
"suburb": "Mangere East",
"city": "Auckland",
"state": "",
"post_code": "2024",
"country_code": "NZ"
},
"packages": [
{
"weight": 1.0,
"height": 0.1,
"width": 0.1,
"length": 0.1,
"package_name": "Package"
}
],
"declared_value": 20.00,
"return_order": false,
"include_pricing": true,
"signature_required": null,
"authority_to_leave": false,
"dangerous_goods": false,
"insurance_value": 0.0
}Response examples
Delivery Services (200)
{
"services": [
{
"carrier": "AusPost",
"carrier_name": "Australia Post",
"service_name": "INTL EXPRESS MERCH",
"service_code": "ECM8",
"total_price": 14.8,
"metafields": [
{
"key": "INSURANCEVALUE",
"name": "Cover/Warranty",
"description": "",
"display_type": "textbox",
"value": "0.00",
"default_value": "0.00",
"value_type": "string",
"label": "Cover/Warranty",
"read_only": false
},
{
"key": "EXPORTTYPE",
"name": "Classification",
"description": "",
"display_type": "dropdownlist",
"value": "",
"default_value": "",
"available_values": [
"Not Set",
"Gift",
"Commercial Sample",
"Other",
"Returned Goods",
"Sale of Goods"
],
"value_type": "string",
"label": "Classification",
"read_only": false
},
{
"key": "COMMERCIALVALUE",
"name": "Has Commercial Value",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Has Commercial Value",
"read_only": false
},
{
"key": "EXPORTNUMBER",
"name": "Export Number",
"description": "",
"display_type": "textbox",
"value": "",
"default_value": "",
"value_type": "string",
"label": "Export Number",
"read_only": false
},
{
"key": "INSURANCE",
"name": "Insurance",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Cover/Warranty Required",
"read_only": false
}
],
"pricing_breakdown": {
"Calculated Price ex GST": "$14.80",
"Calculated GST": "$0.00",
"Calculated Price": "$14.80",
"Estimated delivery days (earliest)": "4",
"Estimated delivery days (latest)": "4",
"Estimated delivery date": "2024-02-01"
}
},
{
"carrier": "AusPost",
"carrier_name": "Australia Post",
"service_name": "INTL EXPRESS DOCS",
"service_code": "ECD8",
"total_price": 19.9,
"metafields": [
{
"key": "INSURANCEVALUE",
"name": "Cover/Warranty",
"description": "",
"display_type": "textbox",
"value": "0.00",
"default_value": "0.00",
"value_type": "string",
"label": "Cover/Warranty",
"read_only": false
},
{
"key": "EXPORTTYPE",
"name": "Classification",
"description": "",
"display_type": "dropdownlist",
"value": "",
"default_value": "",
"available_values": [
"Not Set",
"Gift",
"Commercial Sample",
"Other",
"Returned Goods",
"Sale of Goods"
],
"value_type": "string",
"label": "Classification",
"read_only": false
},
{
"key": "COMMERCIALVALUE",
"name": "Has Commercial Value",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Has Commercial Value",
"read_only": false
},
{
"key": "EXPORTNUMBER",
"name": "Export Number",
"description": "",
"display_type": "textbox",
"value": "",
"default_value": "",
"value_type": "string",
"label": "Export Number",
"read_only": false
},
{
"key": "INSURANCE",
"name": "Insurance",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Cover/Warranty Required",
"read_only": false
}
],
"pricing_breakdown": {
"Calculated Price ex GST": "$19.90",
"Calculated GST": "$0.00",
"Calculated Price": "$19.90",
"Estimated delivery days (earliest)": "4",
"Estimated delivery days (latest)": "4",
"Estimated delivery date": "2024-02-01"
}
},
{
"carrier": "AusPost",
"carrier_name": "Australia Post",
"service_name": "INTL STANDARD/PACK & TRACK",
"service_code": "PTI8",
"total_price": 11.85,
"metafields": [
{
"key": "INSURANCEVALUE",
"name": "Cover/Warranty",
"description": "",
"display_type": "textbox",
"value": "0.00",
"default_value": "0.00",
"value_type": "string",
"label": "Cover/Warranty",
"read_only": false
},
{
"key": "EXPORTTYPE",
"name": "Classification",
"description": "",
"display_type": "dropdownlist",
"value": "",
"default_value": "",
"available_values": [
"Not Set",
"Gift",
"Commercial Sample",
"Other",
"Returned Goods",
"Sale of Goods"
],
"value_type": "string",
"label": "Classification",
"read_only": false
},
{
"key": "COMMERCIALVALUE",
"name": "Has Commercial Value",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Has Commercial Value",
"read_only": false
},
{
"key": "EXPORTNUMBER",
"name": "Export Number",
"description": "",
"display_type": "textbox",
"value": "",
"default_value": "",
"value_type": "string",
"label": "Export Number",
"read_only": false
},
{
"key": "INSURANCE",
"name": "Insurance",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Cover/Warranty Required",
"read_only": false
}
],
"pricing_breakdown": {
"Calculated Price ex GST": "$11.85",
"Calculated GST": "$0.00",
"Calculated Price": "$11.85",
"Estimated delivery days (earliest)": "5",
"Estimated delivery days (latest)": "8"
}
},
{
"carrier": "AusPost",
"carrier_name": "Australia Post",
"service_name": "INT'L STANDARD WITH SIGNATURE",
"service_code": "PTI7",
"total_price": 16.35,
"metafields": [
{
"key": "INSURANCEVALUE",
"name": "Cover/Warranty",
"description": "",
"display_type": "textbox",
"value": "0.00",
"default_value": "0.00",
"value_type": "string",
"label": "Cover/Warranty",
"read_only": false
},
{
"key": "EXPORTTYPE",
"name": "Classification",
"description": "",
"display_type": "dropdownlist",
"value": "",
"default_value": "",
"available_values": [
"Not Set",
"Gift",
"Commercial Sample",
"Other",
"Returned Goods",
"Sale of Goods"
],
"value_type": "string",
"label": "Classification",
"read_only": false
},
{
"key": "COMMERCIALVALUE",
"name": "Has Commercial Value",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Has Commercial Value",
"read_only": false
},
{
"key": "EXPORTNUMBER",
"name": "Export Number",
"description": "",
"display_type": "textbox",
"value": "",
"default_value": "",
"value_type": "string",
"label": "Export Number",
"read_only": false
},
{
"key": "INSURANCE",
"name": "Insurance",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Cover/Warranty Required",
"read_only": false
}
],
"pricing_breakdown": {
"Calculated Price ex GST": "$16.35",
"Calculated GST": "$0.00",
"Calculated Price": "$16.35",
"Estimated delivery days (earliest)": "5",
"Estimated delivery days (latest)": "8"
}
},
{
"carrier": "AusPost",
"carrier_name": "Australia Post",
"service_name": "APGL NZ EXPRESS",
"service_code": "IC5",
"total_price": 12.16,
"metafields": [
{
"key": "INSURANCEVALUE",
"name": "Cover/Warranty",
"description": "",
"display_type": "textbox",
"value": "0.00",
"default_value": "0.00",
"value_type": "string",
"label": "Cover/Warranty",
"read_only": false
},
{
"key": "EXPORTTYPE",
"name": "Classification",
"description": "",
"display_type": "dropdownlist",
"value": "",
"default_value": "",
"available_values": [
"Not Set",
"Gift",
"Commercial Sample",
"Other",
"Returned Goods",
"Sale of Goods"
],
"value_type": "string",
"label": "Classification",
"read_only": false
},
{
"key": "COMMERCIALVALUE",
"name": "Has Commercial Value",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Has Commercial Value",
"read_only": false
},
{
"key": "EXPORTNUMBER",
"name": "Export Number",
"description": "",
"display_type": "textbox",
"value": "",
"default_value": "",
"value_type": "string",
"label": "Export Number",
"read_only": false
},
{
"key": "INSURANCE",
"name": "Insurance",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Cover/Warranty Required",
"read_only": false
}
],
"pricing_breakdown": {
"Calculated Price ex GST": "$12.16",
"Calculated GST": "$0.00",
"Calculated Price": "$12.16"
}
},
{
"carrier": "AusPost",
"carrier_name": "Australia Post",
"service_name": "APGL NZ EXPRESS W/SIGNATURE",
"service_code": "IC6",
"total_price": 14.16,
"metafields": [
{
"key": "INSURANCEVALUE",
"name": "Cover/Warranty",
"description": "",
"display_type": "textbox",
"value": "0.00",
"default_value": "0.00",
"value_type": "string",
"label": "Cover/Warranty",
"read_only": false
},
{
"key": "EXPORTTYPE",
"name": "Classification",
"description": "",
"display_type": "dropdownlist",
"value": "",
"default_value": "",
"available_values": [
"Not Set",
"Gift",
"Commercial Sample",
"Other",
"Returned Goods",
"Sale of Goods"
],
"value_type": "string",
"label": "Classification",
"read_only": false
},
{
"key": "COMMERCIALVALUE",
"name": "Has Commercial Value",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Has Commercial Value",
"read_only": false
},
{
"key": "EXPORTNUMBER",
"name": "Export Number",
"description": "",
"display_type": "textbox",
"value": "",
"default_value": "",
"value_type": "string",
"label": "Export Number",
"read_only": false
},
{
"key": "INSURANCE",
"name": "Insurance",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Cover/Warranty Required",
"read_only": false
}
],
"pricing_breakdown": {
"Calculated Price ex GST": "$14.16",
"Calculated GST": "$0.00",
"Calculated Price": "$14.16"
}
},
{
"carrier": "FedEx",
"carrier_name": "FedEx",
"service_name": "FEDEX_INTERNATIONAL_PRIORITY",
"service_code": "FEDEX_INTERNATIONAL_PRIORITY",
"total_price": 60.38,
"currency": "AUD",
"metafields": [
{
"key": "DTP",
"name": "Sender Pays Duty",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Sender Pays Duty",
"read_only": false
}
],
"pricing_breakdown": {
"Total Base Charge": "45.49AUD",
"Demand Surcharge": "1.50AUD",
"Fuel": "13.39AUD",
"Total Billing Weight": "1.00KG"
}
},
{
"carrier": "DHL",
"carrier_name": "DHL Express",
"service_name": "EXPRESS WORLDWIDE NONDOC",
"service_code": "WPX",
"total_price": 151.04,
"currency": "GBP",
"metafields": [
{
"key": "INSURANCEVALUE",
"name": "Cover/Warranty",
"description": "",
"display_type": "textbox",
"value": "0.00",
"default_value": "0.00",
"value_type": "string",
"label": "Cover/Warranty",
"read_only": false
},
{
"key": "CONTENTS",
"name": "Contents",
"description": "",
"display_type": "textbox",
"value": "Pillow",
"default_value": "",
"value_type": "string",
"label": "Contents",
"read_only": false
},
{
"key": "CUSTOMSINCOTERM",
"name": "Customs Incoterm",
"description": "",
"display_type": "dropdownlist",
"value": "Delivered at Place",
"default_value": "Delivered at Place",
"available_values": [
"Not Set",
"Ex Works",
"Free Carrier",
"Carriage Paid To",
"Cost and Freight",
"Carriage and Insurance Paid To",
"Cost Insurance and Freight",
"Delivered at Place",
"Delivered Duty Paid",
"Delivered at Place Unloaded",
"Free Alongside Ship",
"Free on Board"
],
"value_type": "string",
"label": "Customs Incoterm",
"read_only": false
},
{
"key": "CUSTOMSEXPORTREASON",
"name": "Customs Export Reason",
"description": "",
"display_type": "dropdownlist",
"value": "Not Set",
"default_value": "Not Set",
"available_values": [
"Not Set",
"Returned Goods",
"Sale of Goods",
"Commercial Sample",
"Gift",
"Warranty Replacement",
"Personal Use"
],
"value_type": "string",
"label": "Customs Export Reason",
"read_only": false
},
{
"key": "CUSTOMSDUTYACCOUNTNUMBER",
"name": "Customs Duty Account Number",
"description": "",
"display_type": "textbox",
"value": "",
"default_value": "",
"value_type": "string",
"label": "Customs Duty Account Number",
"read_only": false
},
{
"key": "ATL",
"name": "Authority to Leave",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Authority to Leave",
"read_only": false
},
{
"key": "BATTERY",
"name": "Contains Battery",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Dangerous Goods",
"read_only": false
},
{
"key": "SATURDAY",
"name": "Saturday Delivery",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Saturday Delivery",
"read_only": false
},
{
"key": "INSURANCE",
"name": "Insurance",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Shipment Value Protection",
"read_only": false
},
{
"key": "DTP",
"name": "Sender Pays Duty",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Duties & Taxes Paid",
"read_only": false
},
{
"key": "GREENSERVICE",
"name": "GoGreen Plus",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "GoGreen Plus",
"read_only": false
}
],
"pricing_breakdown": {
"Product": "EXPRESS WORLDWIDE NONDOC",
"Chargeable Weight": "1.0 KG",
"Total transit days": "1",
"Est. delivery date": "26 January",
"Base Charge": "118.03",
"Emergency Situation": "0.20",
"Fuel Surcharge": "32.81",
"Tax": "0.00"
}
},
{
"carrier": "PlainLabel",
"carrier_name": "Plain Label",
"service_name": "Plain Label - SANTAS DELIVERY",
"service_code": "Plain Label",
"total_price": 0,
"metafields": [
{
"key": "SIGNATURE",
"name": "Signature Required",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Signature Required",
"read_only": false
},
{
"key": "ATL",
"name": "Authority to Leave",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Authority to Leave",
"read_only": false
},
{
"key": "SATCHEL",
"name": "Satchel",
"description": "",
"display_type": "none",
"value": "True",
"default_value": "",
"value_type": "boolean",
"label": "Satchel",
"read_only": false
}
]
},
{
"carrier": "PlainLabel3",
"carrier_name": "Plain Label 3",
"service_name": "Plain Label 3 - Click & Collect",
"service_code": "Plain Label3",
"total_price": 5,
"currency": "NZD",
"metafields": [
{
"key": "SIGNATURE",
"name": "Signature Required",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Signature Required",
"read_only": false
},
{
"key": "ATL",
"name": "Authority to Leave",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Authority to Leave",
"read_only": false
},
{
"key": "SATCHEL",
"name": "Satchel",
"description": "",
"display_type": "none",
"value": "True",
"default_value": "",
"value_type": "boolean",
"label": "Satchel",
"read_only": false
}
],
"pricing_breakdown": {
"Estimated Transit Time": "5"
}
},
{
"carrier": "PlainLabel2",
"carrier_name": "Plain Label 2",
"service_name": "Plain Label 2 - FRIDAY SERVICE",
"service_code": "Plain Label2",
"total_price": 100,
"metafields": [
{
"key": "SIGNATURE",
"name": "Signature Required",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Signature Required",
"read_only": false
},
{
"key": "ATL",
"name": "Authority to Leave",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Authority to Leave",
"read_only": false
},
{
"key": "SATCHEL",
"name": "Satchel",
"description": "",
"display_type": "none",
"value": "True",
"default_value": "",
"value_type": "boolean",
"label": "Satchel",
"read_only": false
}
]
},
{
"carrier": "Sendle",
"carrier_name": "Sendle",
"service_name": "SENDLE",
"service_code": "SENDLE",
"total_price": 0,
"metafields": [
{
"key": "SIGNATURE",
"name": "Signature Required",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Signature Required",
"read_only": false
},
{
"key": "ATL",
"name": "Authority to Leave",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Authority to Leave",
"read_only": false
}
]
},
{
"carrier": "Sendle",
"carrier_name": "Sendle",
"service_name": "Sendle Express",
"service_code": "EXPRESS-PICKUP",
"total_price": 0,
"metafields": [
{
"key": "SIGNATURE",
"name": "Signature Required",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Signature Required",
"read_only": false
},
{
"key": "ATL",
"name": "Authority to Leave",
"description": "",
"display_type": "checkbox",
"value": "False",
"default_value": "False",
"value_type": "boolean",
"label": "Authority to Leave",
"read_only": false
}
]
},
{
"carrier": "PickupInStore",
"carrier_name": "Pickup In Store",
"service_name": "Pickup In Store",
"service_code": "Pickup In Store",
"total_price": 0,
"metafields": []
}
],
"submitActualShippingCost": false,
"success": true,
"errors": []
}Address Book
Manage address book records used when creating and shipping orders.
4 endpoints shown
Get Filtered AddressesResponses
Endpoint URL
https://api.starshipit.com/api/addressbook/filtered
Endpoint details
Retrieve a list of contacts that is stored in your address book. Results are sorted by specified column and returned one page at a time.
Request Parameters
Get Filtered Addresses Response
Get Addresses - Address Model
Response examples
Get Filtered Addresses - First 50 addresses (200)
{
"addresses": [
{
"id": 6862437,
"name": "Add Address Test",
"company": "My Company",
"building": "Bigg Tall Building",
"street": "55 Bourke St",
"suburb": "Melbourne",
"post_code": "3000",
"city": "Melbourne",
"state": "VIC",
"country": "Australia",
"code": "111",
"telephone": "9879879876 ",
"email": "test@starshipit.com"
}
],
"total_count": 40,
"success": true
}Endpoint URL
https://api.starshipit.com/api/addressbook/delete
Endpoint details
Remove a contact from your address book
Request Parameters
Delete Address Response
Request body
{
"address_ids": [
81692357
]
}Response examples
Delete Address (200)
{
"success": true
}Endpoint URL
https://api.starshipit.com/api/addressbook/update
Endpoint details
Edit the address information for a saved contact.
Request Parameters
Edit Address Response
Address Detail Model
Request body
{
"id": 6926658,
"address": {
"code": "111",
"name": "Add Address Test",
"company": "My Company",
"post_code": "3000",
"street": "55 Bourke St",
"suburb": "Melbourne",
"city": "Melbourne",
"state": "VIC",
"country": "Australia",
"phone": "9879879876",
"instructions": "",
"building": "Big Tall Building",
"email": "test@starshipit.com",
"carrier": 0,
"signature_required": false
}
}Response examples
Update Address (200)
{
"address": {
"code": "111",
"name": "Add Address Test",
"company": "My Company",
"post_code": "3000",
"street": "55 Bourke St",
"suburb": "Melbourne",
"city": "Melbourne",
"state": "VIC",
"country": "Australia",
"phone": "9879879876",
"instructions": "",
"building": "Big Tall Building",
"email": "test@starshipit.com",
"carrier": 0,
"signature_required": false
},
"success": true,
"errors": []
}Endpoint URL
https://api.starshipit.com/api/addressbook/
Endpoint details
Save address information for a new contact.
Request Parameters
Add Address Response
Request body
{
"address": {
"code": "111",
"name": "Add Address Test",
"company": "My Company",
"post_code": "3000",
"street": "55 Bourke St",
"suburb": "Melbourne",
"city": "Melbourne",
"state": "VIC",
"country": "Australia",
"phone": "123123123123",
"instructions": "",
"building": "Big Tall Building",
"email": "test@starshipit.com",
"carrier": 0,
"signature_required": false
}
}Response examples
Add Address (200)
{
"id": 7093680,
"address": {
"code": "111",
"name": "Add Address Test",
"company": "My Company",
"post_code": "3000",
"street": "55 Bourke St",
"suburb": "Melbourne",
"city": "Melbourne",
"state": "VIC",
"country": "Australia",
"phone": "123123123123",
"instructions": "",
"building": "Big Tall Building",
"email": "test@starshipit.com",
"carrier": 0,
"signature_required": false
},
"success": true,
"errors": []
}Manifests
Create manifests and retrieve manifest data for carrier handover.
4 endpoints shown
Get ManifestsResponses
Endpoint URL
https://api.starshipit.com/api/manifests
Endpoint details
Retrieve a list of manifests. Results are ordered by date in descending order.
Request Parameters
Get Manifests Response
Get Manifests - Manifests Model
Response examples
Get Manifests (200)
{
"manifests": [
{
"id": 2635340,
"name": "carrier_name",
"date": "2021-01-21T16:19:09.9573432",
"number": 2,
"numberArticles": 1,
"numberConsignments": 1,
"fileName1": "https://www.url.com/manifest.xml",
"fileName2": "https://www.url.com/manifest.pdf",
"carrierId": 2
}
],
"total_pages": 12,
"total_count": 12,
"success": true
}Get Manifest FilesResponses
Endpoint URL
https://api.starshipit.com/api/manifests/files/
Endpoint details
Retrieve a list of manifest files by manifest_id.
Request Parameters
Get Manifest Files Response
Manifest Files Model
Response examples
Get Manifest Files (200)
{
"files": [
{
"file_name": "dhl_99999_01.xml",
"file_data": "//48AD8AeABtAGwAIAB .......... wAG0AZQBuAHQAPgA="
},
{
"file_name": "dhl_99999_02.pdf",
"file_data": "JVBERi0xLjMNCjEgMCa .......... zMzU4DQolJUVPRg=="
}
],
"success": true
}Endpoint URL
https://api.starshipit.com/api/manifests/shipments
Endpoint details
Retrieve a list of shipment ids based on the tracking numbers or order numbers that have been supplied. These ids can be passed as a parameter to the manifest orders endpoint.
Request Parameters
Manifest Shipments Response
Request body
{
"tracking_numbers":[
"ABCD1234567890XYZ",
"ON12345"
],
"use_order_numbers": true
}Response examples
Manifest Orders (200)
{
"pdf": "manifestreport",
"file_name": "manifest.pdf",
"success": true
}Endpoint URL
https://api.starshipit.com/api/manifests/carrier
Endpoint details
Manifest all relevant records for a given carrier that are ready to be shipped.
Request Parameters
Get Shipments to Manifest Response
Request body
{
"carrier": "PlainLabel"
}Response examples
Manifest by Carrier (200)
{
"records_manifested": 1,
"success": true
}Products
Sync Product Catalogue records and related product data.
8 endpoints shown
Get ProductsResponsesExamplesResponse
Endpoint URL
https://api.starshipit.com/api/products?search_term=&page_number=1&page_size=50&skip_records=0&sort_column=Sku&sort_direction=Ascending
Response examples
Get Products (200)
{
"page_number": 1,
"page_size": 50,
"total_pages": 0,
"total_records": 1,
"data": {
"products": [
{
"id": 4541053,
"sku": "AMZ-BLK-SHOES-US11",
"title": "Amazing Black Shoes Black US11",
"country": "Australia",
"weight": 1.3,
"height": 0.27,
"length": 0.27,
"width": 0.4,
"hs_code": "6404.11.0000",
"color": "Black",
"size": "US11",
"bin_location": "A18",
"price": 99
}
],
"success": false
},
"succeeded": true
}POST/api/products
/api/productsEndpoint URL
https://api.starshipit.com/api/products
Request body
{
"product": {
"sku": "AMZ-BLK-SHOES-US11",
"title": "Amazing Black Shoes Black US11",
"customs_description": null,
"description": null,
"country": "Australia",
"weight": 1.3,
"height": 0.27,
"length": 0.27,
"width": 0.4,
"hs_code": "6404.11.0000",
"color": "Black",
"size": "US11",
"barcode": null,
"bin_location": "A18",
"brand": null,
"usage": null,
"material": null,
"model": null,
"mid": null,
"price": 99,
"dangerous_goods_type": null,
"merchant_product_id": "AMZ-BLK-SHOES-US11",
"manufacturer_product_id": "ACME-SHOES-0011",
"standardised_product_id": "0123456789012"
}
}Response examples
Add Product (200)
{
"id": 4541053,
"product": {
"id": 4541053,
"sku": "AMZ-BLK-SHOES-US11",
"title": "Amazing Black Shoes Black US11",
"country": "Australia",
"weight": 1.3,
"height": 0.27,
"length": 0.27,
"width": 0.4,
"hs_code": "6404.11.0000",
"color": "Black",
"size": "US11",
"bin_location": "A18",
"price": 99
},
"success": true,
"errors": []
}Endpoint URL
https://api.starshipit.com/api/products/update
Request body
{
"id": 4541053,
"product": {
"id": 4541053,
"sku": "AMZ-BLK-SHOES-US11",
"title": "Amazing Black Shoes Black US11",
"customs_description": null,
"description": null,
"country": "Australia",
"weight": 1.3,
"height": 0.27,
"length": 0.27,
"width": 0.4,
"hs_code": "6404.11.0000",
"color": "Black",
"size": "US11",
"barcode": null,
"bin_location": "A18",
"brand": null,
"usage": null,
"material": null,
"model": null,
"mid": null,
"price": 99,
"dangerous_goods_type": null,
"merchant_product_id": "AMZ-BLK-SHOES-US11",
"manufacturer_product_id": "ACME-SHOES-0011",
"standardised_product_id": "0123456789012"
}
}Response examples
Update Product (200)
{
"product": {
"id": 4541053,
"sku": "AMZ-BLK-SHOES-US11",
"title": "Amazing Black Shoes Black US11",
"country": "Australia",
"weight": 1.3,
"height": 0.27,
"length": 0.27,
"width": 0.4,
"hs_code": "6404.11.0000",
"color": "Black",
"size": "US11",
"bin_location": "A18",
"price": 99
},
"success": true,
"errors": []
}DELETE/api/products/delete
/api/products/deleteEndpoint URL
https://api.starshipit.com/api/products/delete
Request body
{
"product_ids": [
4541053
]
}Response examples
Delete Product (200)
{
"success": true,
"errors": []
}DELETE/api/products/delete
/api/products/deleteEndpoint URL
https://api.starshipit.com/api/products/delete
Request body
{
"product_ids": [],
"all_products": true
}Response examples
Delete All Products (200)
{
"success": true,
"errors": []
}Import ProductsRequestExamplesRequest body
Endpoint URL
https://api.starshipit.com/api/products/import
Request body
CSV file contentEndpoint URL
https://api.starshipit.com/api/products/template
Endpoint URL
https://api.starshipit.com/api/products/export
Pickup
Create and manage courier pickup requests.
2 endpoints shown
GET/api/pickupExamplesParameters
/api/pickupEndpoint URL
https://api.starshipit.com/api/pickup
Query parameters
| Name | Example | Description |
|---|---|---|
| page_number | Page number to return. | |
| page_size | Number of pickups to return per page. |
POST/api/pickup/book
/api/pickup/bookEndpoint URL
https://api.starshipit.com/api/pickup/book
Request body
{
"order_reference": "2009",
"tracking_number": "CPAHMIZ0005207001",
"carrier_name": "CouriersPlease",
"pickup_timeslot_start": "2026-06-19T00:00:00Z",
"pickup_timeslot_end": "2026-06-19T02:00:00Z",
"pickup_timezone_id": "AUS Eastern Standard Time",
"special_instructions": "Use side door",
"collection_address": {
"contact_name": "John Smith",
"contact_email": "john.smith@example.com",
"company_name": "Test Company",
"address_line1": "1508 Centre Rd",
"address_line2": "Building 1",
"address_line3": "Clayton Business Park",
"suburb": "CLAYTON",
"postcode": "3169",
"state": "VIC",
"country": "Australia",
"contact_phone": "123412341234"
},
"receiver_address": {
"company_name": "Another Company",
"address_line1": "147 Bourke Street",
"address_line2": "Level 1",
"suburb": "MELBOURNE",
"postcode": "3000",
"state": "VIC",
"country": "Australia",
"contact_phone": "33334444"
},
"packaging_code": "Carton",
"service_code": "EXP",
"consignment_count": 1,
"package_count": 2,
"total_weight": 0.1,
"max_package_length": 30,
"max_package_width": 20,
"max_package_height": 10,
"max_package_weight": 0.1
}Response examples
Book Pickup (200)
{
"job_number": "4500",
"success": true
}Order Documents
Create and retrieve packing slips, commercial invoices, and uploaded order documents for orders that need paperwork.
6 endpoints shown
Upload Order DocumentRequestExamplesRequest body
Endpoint URL
https://api.starshipit.com/api/orders/{orderId}/documents
Request body
Multipart form data: file=<binary file>; document_type=OrderDocumentEndpoint URL
https://api.starshipit.com/api/orders/{orderId}/documents
Endpoint URL
https://api.starshipit.com/api/orders/{orderId}/documents/{documentId}/preview
Endpoint URL
https://api.starshipit.com/api/orders/{orderId}/documents/{documentId}/download
Update Order DocumentRequestExamplesRequest body
Endpoint URL
https://api.starshipit.com/api/orders/{orderId}/documents/{documentId}
Request body
Multipart form data: file=<binary file>; document_type=OrderDocumentEndpoint URL
https://api.starshipit.com/api/orders/{orderId}/documents/{documentId}